meta-openrobotix - Feature #343

Implement LIDAR driver
2014-11-24 12:54 - Timo Korthals

Status: Closed
Priority: Normal
Assignee: Timo Korthals
Category:

Target version:

Start date:
Due date:

% Done:

Estimated time:

Spent time:

2014-12-08
2014-12-22
100%

5.00 hours
10.00 hours

Description

Implement the driver provided on this site: https://github.com/tikO/Hokuyolnterface

History

#1 - 2014-12-22 16:47 - Timo Korthals
- Status changed from New to Closed

- % Done changed from 0 to 100

The Hokuyo URG-04LX now works with the Gumstix USB-OTG.

The Lidar gets its power from the LightringBoard.

It has to be pluged into the USB-OTG at start-up time, so that it appears as an /dev/ttyACMO (using the usb_cdc_acm driver) device.

One can test the functionality by cross compiling testHokuyo from https://github.com/tikO/Hokuyolnterface.

#2 - 2014-12-22 17:17 - Timo Korthals
- Due date set to 2014-12-22
- Start date changed from 2014-11-24 to 2014-12-08
